Bug 1278955 - Custom repos created by RHUI are not entitlement enforced
Custom repos created by RHUI are not entitlement enforced
Status: CLOSED CURRENTRELEASE
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA (Show other bugs)
3.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: RHUI Bug List
Irina Gulina
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 15:40 EST by dgao
Modified: 2017-09-11 08:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-11 08:18:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dgao 2015-11-06 15:40:09 EST
Custom repos created by RHUI are not entitlement enforced. Please update create_custom_repo() in pulp_api.py to ensure custom repos can be locked down by cert.
Comment 4 Irina Gulina 2016-07-22 17:06:25 EDT
Verified on RHEL6 and RHEL7 iso 20160719

rhui (repo) => c

Unique ID for the custom repository (alphanumerics, _, and - only):
test_repo_1

Display name for the custom repository [test_repo_1]:


Path at which the repository will be served [test_repo_1]:


Algorithm to use when calculating the checksum values for repository metadata:
* Select "sha256" for RHEL6:
* Select "sha1" for either RHEL5 or RHEL6:

  1  - sha256
  2  - sha1
Enter value (1-2) or 'b' to abort: q
Enter value (1-2) or 'b' to abort: 1

Should the repository require an entitlement certificate to access? (y/n)
y

Based on the repository's relative path, the suggested entitlement path is:
  test_repo_1

Path that should be used when granting an entitlement for this repository. This
may use yum variable substitutions (e.g. $basearch) to group this together with
other repositories that share the entitlement [test_repo_1]:


Should the repository require clients to perform a GPG check and
verify packages are signed by a GPG key? (y/n)
n

The following repository will be created:
  ID:              test_repo_1
  Name:            test_repo_1
  Path:            test_repo_1
  Entitlement:     test_repo_1
  GPG Check        No
  Red Hat GPG Key: No
Proceed? (y/n) y

Successfully created repository test_repo_1

>> pulp-admin -u admin -p admin rpm repo list
+----------------------------------------------------------------------+
                            RPM Repositories
+----------------------------------------------------------------------+

Id:                  unprotected_repo
Display Name:        unprotected_repo
Description:         unprotected_repo
Content Unit Counts: 
  Rpm: 1

Id:                  protected_repo
Display Name:        protected_repo
Description:         protected_repo
Content Unit Counts: 
  Rpm: 1

Id:                  selinux_repo
Display Name:        selinux_repo
Description:         selinux_repo
Content Unit Counts: 

Id:                  test_repo_1
Display Name:        test_repo_1
Description:         test_repo_1
Content Unit Counts:

Note You need to log in before you can comment on or make changes to this bug.